Skip to content

Price Status

GET
/prices/status
curl --request GET \
--url https://example.com/prices/status

The configured provider, the newest provider fetch, each open position’s close in effect today, and the last fetch failure.

Successful Response

Media typeapplication/json
PriceStatusOut
object
last_failure
required
Any of:
FetchFailureOut
object
at
required
At
string format: date-time
reason
Any of:
string
status
required
Any of:
integer
symbol
required
Any of:
string
last_fetched_at
required
Any of:
string format: date-time
provider
required
Provider
string
stale_days
required
Stale Days
integer
symbols
required
Symbols
Array<object>
SymbolPriceOut
object
close
required
Any of:
string
price_as_of
required
Any of:
string format: date
source
required
Any of:
string
stale
required
Stale
boolean
symbol
required
Symbol
string

Example generated

{
"last_failure": {
"at": "2026-04-15T12:00:00Z",
"reason": "example",
"status": 1,
"symbol": "example"
},
"last_fetched_at": "2026-04-15T12:00:00Z",
"provider": "example",
"stale_days": 1,
"symbols": [
{
"close": "example",
"price_as_of": "2026-04-15",
"source": "example",
"stale": true,
"symbol": "example"
}
]
}